---
- name: Install repositories initial packages
  ansible.builtin.apt:
    name: "{{ repositories_packages }}"
    state: present
    update_cache: true

- name: Change /etc/apt/sources.list
  ansible.builtin.template:
    src: sources.list.j2
    dest: /etc/apt/sources.list
  register: sources_list

- name: Configure Key for Base OS Repositories
  ansible.builtin.apt_key:
    url: "{{ item.key.url }}"
    id: "{{ item.key.id }}"
    state: "{{ item.state | default(omit) }}"
  with_items: "{{ repositories_base }}"
  when: item.key is defined
  register: keys_base

- name: Configure Base OS Repositories
  ansible.builtin.apt_repository:
    repo: "{{ item.repo }}"
    state: "{{ item.state | default(omit) }}"
    filename: debian
    update_cache: "{{ item.update_cache | default(False) }}"
  with_items: "{{ repositories_base }}"
  register: sources_base
